// Resistance of a meter shunt
// SCILAB source file: ex2201.sce
// Get input data from dialogue box
txt = ['Meter full-scale deflection current (mA)';'Resistance of meter coil (ohm)';'Current to indicate at full-scale (A)';];
var = x_mdialog('Enter meter parameters and required current indication',txt,['1';'450';'2';]);
im = 1E-3*evstr(var(1));
rm = evstr(var(2));
iin = evstr(var(3));
// Calculate shunt resistance
rs = (im * rm)/(iin-im); 
// Display result
messagebox("Required shunt resistance = " + string(rs) + " ohm")

